summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTor Andersson <tor.andersson@artifex.com>2013-02-11 16:16:47 +0100
committerTor Andersson <tor.andersson@artifex.com>2013-02-13 13:48:35 +0100
commitbc131fc0b8de2af766281eed31efbc4e13efa72a (patch)
tree6b362083a7b051ecdf06c8d0c4625b7259070c09
parentabd22e66e9562ab54814b23aa212ffcc41b550d7 (diff)
downloadmupdf-bc131fc0b8de2af766281eed31efbc4e13efa72a.tar.xz
Apple broke external scripts yet again.
Disable the automatic "make generate" step from the build, since it doesn't work anymore. There appears to be some hidden environment setting used by the compiler which breaks external make compiling for host while Xcode is set to cross compile. This is a pointless waste of time to track down and fix, so now you will have to run the "make generate" step manually.
-rw-r--r--ios/MuPDF.xcodeproj/project.pbxproj8
-rw-r--r--ios/build_libs.sh8
2 files changed, 10 insertions, 6 deletions
diff --git a/ios/MuPDF.xcodeproj/project.pbxproj b/ios/MuPDF.xcodeproj/project.pbxproj
index 5430f38a..2e33f3c3 100644
--- a/ios/MuPDF.xcodeproj/project.pbxproj
+++ b/ios/MuPDF.xcodeproj/project.pbxproj
@@ -229,7 +229,7 @@
968461EB14642DB00012AE09 /* Debug */ = {
isa = XCBuildConfiguration;
buildSettings = {
- ARCHS = "$(ARCHS_STANDARD_32_BIT)";
+ ARCHS = armv7;
PRODUCT_NAME = Libraries;
SDKROOT = iphoneos;
SKIP_INSTALL = YES;
@@ -239,7 +239,7 @@
968461EC14642DB00012AE09 /* Release */ = {
isa = XCBuildConfiguration;
buildSettings = {
- ARCHS = "$(ARCHS_STANDARD_32_BIT)";
+ ARCHS = armv7;
PRODUCT_NAME = Libraries;
SDKROOT = iphoneos;
SKIP_INSTALL = YES;
@@ -250,7 +250,7 @@
isa = XCBuildConfiguration;
buildSettings = {
ALWAYS_SEARCH_USER_PATHS = NO;
- ARCHS = "$(ARCHS_STANDARD_32_BIT)";
+ ARCHS = armv7;
CODE_SIGN_IDENTITY = "iPhone Developer";
COPY_PHASE_STRIP = NO;
FRAMEWORK_SEARCH_PATHS = (
@@ -284,7 +284,7 @@
isa = XCBuildConfiguration;
buildSettings = {
ALWAYS_SEARCH_USER_PATHS = NO;
- ARCHS = "$(ARCHS_STANDARD_32_BIT)";
+ ARCHS = armv7;
CODE_SIGN_IDENTITY = "iPhone Developer";
COPY_PHASE_STRIP = YES;
FRAMEWORK_SEARCH_PATHS = (
diff --git a/ios/build_libs.sh b/ios/build_libs.sh
index 836601d1..9f06ab0b 100644
--- a/ios/build_libs.sh
+++ b/ios/build_libs.sh
@@ -5,7 +5,11 @@
# Also see "iOS" section in Makerules.
echo Generating cmap and font files
-make -C .. generate || exit 1
+echo "Apple broke Xcode external targets yet again, and I can't be bothered to fix it."
+echo "Run the 'make generate' command manually from now on!"
+echo "If you see an error while running GEN, you've forgotten."
+
+# make -C .. verbose=yes generate || exit 1
export OS=ios
export build=$(echo $CONFIGURATION | tr A-Z a-z)
@@ -14,7 +18,7 @@ case $ARCHS in
armv6) ARCHFLAGS="-arch armv6 -mno-thumb" ;;
armv7) ARCHFLAGS="-arch armv7 -mthumb" ;;
i386) ARCHFLAGS="-arch i386" ;;
- *) echo "Unknown architecture!"; exit 1 ;;
+ *) echo "Unknown architecture:" $ARCHS; exit 1 ;;
esac
export CFLAGS="$ARCHFLAGS -isysroot $SDKROOT"